<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.80
Name: [2] Treść dokumentu realizacji recepty
Description: Bazowy szablon struktury CDA dla treści medycznej realizacji recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000">
   <title>[2] Treść dokumentu realizacji recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]"
         id="tmp-r-975614be-58f6-4d93-ae7f-359e7df4972a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'])&gt;=1 ">(plCdaDrugDispenseComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']"
         id="tmp-r-bae41629-17b5-404e-b76a-09451d6a6b1c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDrugDispenseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaDrugDispenseComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80']/@nullFlavor)">(plCdaDrugDispenseComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'])&lt;=1">(plCdaDrugDispenseComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">(plCdaDrugDispenseComponent): element hl7:structuredBody jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:structuredBody)&lt;=1">(plCdaDrugDispenseComponent): element hl7:structuredBody występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80']
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80']"
         id="tmp-r-7550d1d1-d1d4-49ba-b23d-49b878d9718b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispenseComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.80'">(plCdaDrugDispenseComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.80'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDispenseComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody"
         id="tmp-r-066ddd42-9df4-4d82-bd6e-116bb49a7316">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaDrugDispenseComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDrugDispenseComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="//hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship/hl7:observation[hl7:code/@code='RLPO']/hl7:value/@code!='100%' and not(hl7:component/hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.69']])">(plCdaDrugDispenseComponent): Dla realizacji recepty refundowanej wymagana jest sekcja danych ubezpieczeniowych.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (plCdaDrugDispenseComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (plCdaDrugDispenseComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']]
Item: (plCdaDrugDispenseComponent)
--></pattern>
