<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.54
Name: [4] Dane leku lub ŚSSPŻ na recepcie
Description: Szablon CDA dla danych leku lub środka spożywczego specjalnego przeznaczenia żywieniowego na recepcie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000">
   <title>[4] Dane leku lub ŚSSPŻ na recepcie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial"
         id="tmp-r-f409f2e1-7647-41e9-a7c3-78401cf14bc1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54']/@nullFlavor)">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']/@nullFlavor)">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']|hl7:code[@codeSystem='1.3.160']|hl7:code[@codeSystem='2.16.840.1.113883.6.73.5'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plCdaMedicineOrSpecialFood): wybór (hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'] lub hl7:code[@codeSystem='1.3.160'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plCdaMedicineOrSpecialFood): wybór (hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'] lub hl7:code[@codeSystem='1.3.160'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='1.3.160'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.73.5'])&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:code[@codeSystem='2.16.840.1.113883.6.73.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:name)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:name jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(epsos:desc)&lt;=1">(plCdaMedicineOrSpecialFood): element epsos:desc występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:lotNumberText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.54']"
         id="tmp-r-eb9dc4e1-446c-4e73-a111-b9b6ebff79d9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.54'">(plCdaMedicineOrSpecialFood): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.54'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMedicineOrSpecialFood): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']"
         id="tmp-r-aec8f636-cc51-4f7a-a6f8-96dddd2ec12d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.3.1'">(plCdaMedicineOrSpecialFood): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.3.1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMedicineOrSpecialFood): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']"
         id="tmp-r-418c62de-390e-4505-b1a3-4b23719530f0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.1')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('NA')">(plCdaMedicineOrSpecialFood): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości </assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:originalText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:originalText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText"
         id="tmp-r-56730f53-8478-4576-b9ce-996b4081f474">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:reference)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:reference jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText/hl7:reference
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1']/hl7:originalText/hl7:reference"
         id="tmp-r-46fe5e1e-1d01-4410-a34a-b05ded075d3a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']"
         id="tmp-r-eb143822-75c5-4f40-8dfc-e841171a6e7b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160' and @codeSystemName='GS1')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '1.3.160' codeSystemName='GS1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('NA')">(plCdaMedicineOrSpecialFood): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości </assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:originalText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:originalText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']/hl7:originalText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']/hl7:originalText"
         id="tmp-r-b0bc2978-e130-4a1e-8e56-1b7611d828bc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:reference)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:reference jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']/hl7:originalText/hl7:reference
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']/hl7:originalText/hl7:reference"
         id="tmp-r-a5cb523d-5a78-41bf-b592-0817fb637339">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']"
         id="tmp-r-c2c335c9-7fc4-46c3-b4d4-48988076dd9d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73.5' and @codeSystemName='whoATCLevel5')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.73.5' codeSystemName='whoATCLevel5'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@displayName">(plCdaMedicineOrSpecialFood): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaMedicineOrSpecialFood): Atrybut @displayName MUSI być typu 'st'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:originalText)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:originalText występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText"
         id="tmp-r-a3b01dcc-e3d0-46e9-841e-b2cbbf017c86">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:reference)&gt;=1 ">(plCdaMedicineOrSpecialFood): element hl7:reference jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText/hl7:reference
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:code[@codeSystem='2.16.840.1.113883.6.73.5']/hl7:originalText/hl7:reference"
         id="tmp-r-92a798a3-1933-42de-aa6d-9d21523a8fc0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:name
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:name"
         id="tmp-r-05427127-cb83-44b0-ad12-2092bce4814d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(plCdaMedicineOrSpecialFood): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/epsos:desc
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/epsos:desc"
         id="tmp-r-eb37a160-4080-4027-9dcb-52286df9c867">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/hl7:lotNumberText"
         id="tmp-r-5b709715-f003-4d73-b467-38d7cdbcff02">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:formCode
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:formCode"
         id="tmp-r-1e8b004e-aaf6-401a-b002-223773700c22">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.81-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić PostacDawkiLeku Postać dawki leku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.81-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaMedicineOrSpecialFood): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PostacDawkiLeku Postać dawki leku (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:expirationTime
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:expirationTime"
         id="tmp-r-c1a26071-2809-41cf-8604-18228bc9028a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@value">(plCdaMedicineOrSpecialFood): atrybut @value MUSI wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent"
         id="tmp-r-50ae6312-09d4-40d5-9a65-5122a5447796">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='CONT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:containerPackagedMedicine jest required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine"
         id="tmp-r-ac793f48-0836-47ca-b91c-a11090486214">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='CONT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@determinerCode)='INSTANCE'">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(pharm:asSuperContent) or pharm:formCode">(plCdaMedicineOrSpecialFood): Element pharm:formCode MUSI występować jeżeli podany jest pharm:asSuperContent.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:formCode)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:formCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:capacityQuantity)&gt;=1 and not(pharm:capacityQuantity/@nullFlavor)">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:capacityQuantity)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:code
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:code"
         id="tmp-r-82ef0214-002a-4e18-8d3c-375190dc7bf9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160' and @codeSystemName='GS1')">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić codeSystem '1.3.160' codeSystemName='GS1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:name
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:name"
         id="tmp-r-a7cb70db-b26a-4442-aa20-c1a04422ed26">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:formCode
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:formCode"
         id="tmp-r-3597b539-0bc4-4928-85dc-1894354c4bda">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.82-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaMedicineOrSpecialFood): Wartość elementu MUSI wynosić PostacOpakowaniaLeku Postać opakowania leku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.82-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaMedicineOrSpecialFood): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PostacOpakowaniaLeku Postać opakowania leku (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity"
         id="tmp-r-4fba4171-baa0-41f5-82cc-46fe71f9bef7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaMedicineOrSpecialFood): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaMedicineOrSpecialFood): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @unit MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@value">(plCdaMedicineOrSpecialFood): atrybut @value MUSI wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent"
         id="tmp-r-a0756359-b2c8-495a-bbab-cd33baab244e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:containerPackagedMedicine jest required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine"
         id="tmp-r-b327b435-01fc-4c81-8665-47ddd2e39a5b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='CONT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@determinerCode)='INSTANCE'">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:capacityQuantity)&gt;=1 and not(pharm:capacityQuantity/@nullFlavor)">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:capacityQuantity)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:capacityQuantity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity"
         id="tmp-r-0cd0005e-54e9-4755-82f3-8877eb4d5995">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicineOrSpecialFood): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaMedicineOrSpecialFood): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaMedicineOrSpecialFood): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @unit MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="@value">(plCdaMedicineOrSpecialFood): atrybut @value MUSI wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asSpecializedKind
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asSpecializedKind"
         id="tmp-r-46f71a75-9f05-4577-a74b-21b66ef6ca11">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='GRIC'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'GRIC'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass"
         id="tmp-r-782be59d-f3ee-4459-a9be-b54bdb7d8d2e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='MMAT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:code)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:code jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:code
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:name
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient"
         id="tmp-r-a8ac61c7-ca6e-4e43-bf87-64105278cd1b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='ACTI'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'ACTI'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:quantity)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:quantity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity"
         id="tmp-r-d59a2d80-0f4e-4086-a3d7-8840418ca295">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:numerator)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:numerator występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(hl7:denominator)&lt;=1">(plCdaMedicineOrSpecialFood): element hl7:denominator występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/hl7:numerator
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/hl7:denominator
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient
Item: (plCdaMedicineOrSpecialFood)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient"
         id="tmp-r-2b1048b1-1025-4230-80c0-eda1b3d50080">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@classCode)='MMAT'">(plCdaMedicineOrSpecialFood): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND'">(plCdaMedicineOrSpecialFood): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaMedicineOrSpecialFood): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:name)&gt;=1 ">(plCdaMedicineOrSpecialFood): element pharm:name jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.html"
              test="count(pharm:name)&lt;=1">(plCdaMedicineOrSpecialFood): element pharm:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code
Item: (plCdaMedicineOrSpecialFood)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.54
Context: *[hl7:manufacturedMaterial[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.54']]/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:name
Item: (plCdaMedicineOrSpecialFood)
-->
</pattern>
