<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.61
Name: [4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego
Description: Szablon CDA dla uprawnienia dodatkowego publicznego ubezpieczenia zdrowotnego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000">
   <title>[4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="tmp-r-a9d0a81f-9f06-49da-9910-bcac8cf033ff">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@classCode">(plCdaSpecialEntitlementPolicyEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaSpecialEntitlementPolicyEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('ACT')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaSpecialEntitlementPolicyEntry): Wartość dla classCode MUSI wynosić 'kod ACT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@moodCode">(plCdaSpecialEntitlementPolicyEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSpecialEntitlementPolicyEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaSpecialEntitlementPolicyEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="hl7:code[@code='PUBLICPOL']/hl7:qualifier[hl7:name/@code='RLUD']/hl7:value/@code='C' and /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode and /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode/@code!='F'">(plCdaSpecialEntitlementPolicyEntry): Dla oznaczenia płci pacjenta innego niż 'F' nie może być wybrane uprawnienie dodatkowe 'C'.</report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/@code=('57833-6','60593-1') and hl7:entryRelationship[@typeCode='REFR']/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']">(plCdaSpecialEntitlementPolicyEntry): Dla dokumentu recepty i realizacji recepty należy wskazać dane autoryzacyjne związane z refundacją leków</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61'][@root='2.16.840.1.113883.3.4424.13.10.4.61'] | self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.26'][@root='2.16.840.1.113883.10.20.1.26'] | self::hl7:id[@nullFlavor='NA'] | self::hl7:code[@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:performer[@typeCode='PRF'] | self::hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53'][@typeCode='REFR'] | self::hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69'][@typeCode='REFR'] | self::hl7:reference[hl7:externalAct/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.58'][@typeCode='REFR'] | self::hl7:reference[hl7:externalDocument/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59'][@typeCode='REFR'])])">(plCdaSpecialEntitlementPolicyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61']/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.1.26']/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.26'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.26'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.26'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaSpecialEntitlementPolicyEntry): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:performer)&gt;=1 ">(plCdaSpecialEntitlementPolicyEntry): element hl7:performer jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:performer)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:performer występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']|hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plCdaSpecialEntitlementPolicyEntry): wybór (hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53'] lub hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:reference[hl7:externalAct/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.58'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:reference[hl7:externalAct/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.58'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.61']"
         id="tmp-r-921b18fe-78b2-412a-a8d1-d0d47380f5bf">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.61'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.61'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.26']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.26']"
         id="tmp-r-52439f32-c3c3-4bcf-b77f-ab990776a7e3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.26'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.10.20.1.26'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:id
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:id"
         id="tmp-r-09cd9f50-ced6-4cb3-a705-abe241cb6cdc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-d9a7c7fc-a604-4568-841c-45c8ca8d414a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@nullFlavor or (@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')">(plCdaSpecialEntitlementPolicyEntry): Wartość elementu MUSI wynosić code 'PUBLICPOL' codeSystem '2.16.840.1.113883.5.4'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaSpecialEntitlementPolicyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier"
         id="tmp-r-54793645-7bad-42a4-81f7-b305a7dabbe2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:name[@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Refundacja leków wynikająca z uprawnień dodatkowych'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.11.3.1'])])">(plCdaSpecialEntitlementPolicyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaSpecialEntitlementPolicyEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-079a4eb1-0bdd-43a8-99ae-4a2c034fcc49">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@nullFlavor or (@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Refundacja leków wynikająca z uprawnień dodatkowych')">(plCdaSpecialEntitlementPolicyEntry): Wartość elementu MUSI wynosić code 'RLUD' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Refundacja leków wynikająca z uprawnień dodatkowych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-85e7bc08-c6e0-452d-ad82-50e2969d25f4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaSpecialEntitlementPolicyEntry): Wartość elementu MUSI wynosić UprawnienieDodatkowe Uprawnienie dodatkowe (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSpecialEntitlementPolicyEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości UprawnienieDodatkowe Uprawnienie dodatkowe (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-8a6f327a-3592-41eb-9147-83bef7f76a6b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaSpecialEntitlementPolicyEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer"
         id="tmp-r-3ec2bd32-b0b9-41df-a718-019e9ded982c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@typeCode)='PRF'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @typeCode MUSI wynosić 'PRF'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:assignedEntity)])">(plCdaSpecialEntitlementPolicyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(plCdaSpecialEntitlementPolicyEntry): element hl7:assignedEntity jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:assignedEntity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity"
         id="tmp-r-8a6891c9-f442-4b1f-9d03-a61052323e9e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:id[@root='2.16.840.1.113883.3.4424.3.1'][@root='2.16.840.1.113883.3.4424.3.1' and @extension] | self::hl7:id[@root='1.0.3166.1'][@root='1.0.3166.1' and @extension] | self::hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49'][@root='2.16.840.1.113883.3.4424.11.1.49' and @extension] | self::hl7:id[@nullFlavor='NA'][@nullFlavor='NA'] | self::hl7:representedOrganization)])">(plCdaSpecialEntitlementPolicyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Uprawnienia dodatkowe publicznego ubezpieczenia zdrowotnego" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.3.4424.3.1']|hl7:id[@root='1.0.3166.1']|hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49']|hl7:id[@nullFlavor='NA'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plCdaSpecialEntitlementPolicyEntry): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.3.1'] lub hl7:id[@root='1.0.3166.1'] lub hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49'] lub hl7:id[@nullFlavor='NA']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plCdaSpecialEntitlementPolicyEntry): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.3.1'] lub hl7:id[@root='1.0.3166.1'] lub hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49'] lub hl7:id[@nullFlavor='NA']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.3.1'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:id[@root='2.16.840.1.113883.3.4424.3.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:id[@root='1.0.3166.1'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:id[@root='1.0.3166.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:id[@nullFlavor='NA'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:id[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.3.4424.3.1']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.3.4424.3.1']"
         id="tmp-r-0a215711-a1cb-454e-a6bf-9499b4c56888">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.3.1'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.3.1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@extension">(plCdaSpecialEntitlementPolicyEntry): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaSpecialEntitlementPolicyEntry): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='1.0.3166.1']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='1.0.3166.1']"
         id="tmp-r-fd9c5426-28d9-4f64-bf00-4320a4a9670c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@root)='1.0.3166.1'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @root MUSI wynosić '1.0.3166.1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@extension">(plCdaSpecialEntitlementPolicyEntry): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaSpecialEntitlementPolicyEntry): Atrybut @extension MUSI być typu 'st'</assert>
      <assert role="warning"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@extension=('AT','BE','BG','CY','CZ','DK','EE','FI','FR','GR','ES','NL','IS','IE','LI','LT','LU','LF','MT','DE','NO','PT','RO','SK','SI','CH','SE','HU','GB','IT','HR')">(plCdaSpecialEntitlementPolicyEntry): Nieprawidłowy identyfikator instytucji właściwej dla koordynacji</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.3.4424.11.1.49']"
         id="tmp-r-731d25f6-77f4-4cc9-bee6-eda0e59da124">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.11.1.49'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.11.1.49'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="@extension">(plCdaSpecialEntitlementPolicyEntry): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaSpecialEntitlementPolicyEntry): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@nullFlavor='NA']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@nullFlavor='NA']"
         id="tmp-r-b7b4e4fe-46fd-45c1-8c85-22cb54b58be7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaSpecialEntitlementPolicyEntry): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@typeCode)='REFR'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @inversionInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:sequenceNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:seperatableInd występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']/hl7:sequenceNumber
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']/hl7:sequenceNumber">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaSpecialEntitlementPolicyEntry): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']/hl7:seperatableInd
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.53']/hl7:seperatableInd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:BL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@typeCode)='REFR'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @inversionInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaSpecialEntitlementPolicyEntry): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:sequenceNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(plCdaSpecialEntitlementPolicyEntry): element hl7:seperatableInd występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']/hl7:sequenceNumber
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']/hl7:sequenceNumber">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaSpecialEntitlementPolicyEntry): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']/hl7:seperatableInd
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.69']/hl7:seperatableInd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSpecialEntitlementPolicyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:BL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:reference[hl7:externalAct/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.58']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:reference[hl7:externalAct/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.58']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@typeCode)='REFR'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.61
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:reference[hl7:externalDocument/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']
Item: (plCdaSpecialEntitlementPolicyEntry)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.61']]/hl7:act[hl7:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:reference[hl7:externalDocument/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.html"
              test="string(@typeCode)='REFR'">(plCdaSpecialEntitlementPolicyEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
   </rule>
</pattern>
