<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040 - Realizacja recepty </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.csioz.gov.pl/xsd/extPL/r3" prefix="extPL"/>
   <ns uri="urn:epsos-org:ep:medication" prefix="epsos"/>
   <ns uri="urn:ihe:pharm" prefix="pharm"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.PL.sch"/>
      <include href="include/DTr1_AD.PL.ORG.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario plCdaDrugDispense -->

   <!-- plCdaDrugDispense -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.1.27-2020-06-08T000000.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



   <!-- includes -->
   <!-- plCdaBasePerson -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.1-2018-06-30T000000.sch"/>
   <!-- plCdaBaseOrganization -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.2-2020-06-08T000000.sch"/>
   <!-- plCdaP1BaseCustodian -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.20-2018-06-30T000000.sch"/>
   <!-- plCdaBasePharmacy -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.31-2018-06-30T000000.sch"/>
   <!-- ReiReimbursementRelatedContract -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.44-2020-06-08T000000.sch"/>
   <!-- plCdaBaseAssignedEntity -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.49-2018-06-08T000000.sch"/>
   <!-- plCdaBaseRelatedEntity -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.50-2018-06-30T000000.sch"/>
   <!-- plCdaBaseInFulfillmentOf -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.53-2018-06-30T000000.sch"/>
   <!-- plCdaBaseLegalAuthenticator -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.6-2020-06-08T000000.sch"/>
   <!-- plCdaBaseInformationRecipient -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.61-2018-09-30T000000.sch"/>
   <!-- plCdaDrugDispenseComponent -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.sch"/>
   <!-- plCdaDrugPrescriptionRelatedDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.83-2020-06-08T000000.sch"/>
   <!-- plCdaDrugDispenseAuthor -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.84-2019-09-30T000000.sch"/>
   <!-- plCdaDrugDispenseRecordTarget -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.88-2020-06-08T000000.sch"/>
   <!-- plCdaIntendedRecipientOrganization -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.2.89-2020-06-08T000000.sch"/>
   <!-- plCdaAnnotationCommentSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.2-2018-06-30T000000.sch"/>
   <!-- plCdaIdentifyingInformationSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.3-2018-06-30T000000.sch"/>
   <!-- plCdaPayersSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.69-2018-06-30T000000.sch"/>
   <!-- plCdaDrugDispenseSection -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.3.70-2018-06-30T000000.sch"/>
   <!-- plCdaPaperDrugPrescriptionPrescribedDrugCode -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.sch"/>
   <!-- plCdaPaperDrugPrescriptionPrescribedDrugPaymentLevel -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.108-2020-04-22T000000.sch"/>
   <!-- plCdaImportedDrugReimbursementDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.sch"/>
   <!-- plCdaBaseBodyInformant -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.14-2018-06-30T000000.sch"/>
   <!-- plCdaBaseBodySubject -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.15-2020-06-08T000000.sch"/>
   <!-- plCdaBaseBodyAuthor -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.18-2020-06-08T000000.sch"/>
   <!-- plCdaBaseBodyParticipant -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.19-2020-06-08T000000.sch"/>
   <!-- plCdaBaseDevice -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.25-2018-06-30T000000.sch"/>
   <!-- plCdaBasePlayingEntity -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.26-2018-06-30T000000.sch"/>
   <!-- plCdaCoverageActivityEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.51-2019-09-30T000000.sch"/>
   <!-- plCdaPolicyActivityEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.52-2020-06-08T000000.sch"/>
   <!-- plCdaAuthorizationActivityEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.53-2018-09-30T000000.sch"/>
   <!-- plCdaMedicineOrSpecialFood -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.54-2020-06-08T000000.sch"/>
   <!-- plCdaDrugPrescriptionSupplySubstitutionEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.56-2018-06-30T000000.sch"/>
   <!-- plCdaCoverageEligibilityConfirmation -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.58-2018-09-30T000000.sch"/>
   <!-- plCdaEntitlementDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.sch"/>
   <!-- plCdaPublicPolicyEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.60-2020-06-08T000000.sch"/>
   <!-- plCdaSpecialEntitlementPolicyEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.61-2020-06-08T000000.sch"/>
   <!-- plCdaDrugDispenseItemEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.62-2020-06-08T000000.sch"/>
   <!-- plCdaPrescriptionEntryReference -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.63-2020-04-22T000000.sch"/>
   <!-- plCdaDosageInstructionsEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.64-2018-06-30T000000.sch"/>
   <!-- plCdaDrugBillingEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.sch"/>
   <!-- plCdaCommentEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.68-2018-06-30T000000.sch"/>
   <!-- plCdaDrugPrescriptionAuthorizationActivityEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.69-2020-06-08T000000.sch"/>
   <!-- plCdaMagistralFormula -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.70-2020-06-08T000000.sch"/>
   <!-- plCdaMagistralFormulaActiveIngredient -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.71-2020-06-08T000000.sch"/>
   <!-- plCdaImportedDrugRequest -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.72-2020-06-30T000000.sch"/>
   <!-- plCdaMedicalProduct -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.73-2018-09-30T000000.sch"/>
   <!-- plCdaDrugPrescriptionExternalDocument -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.sch"/>
   <!-- plCdaDrugPrescriptionBodyAuthor -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.78-2020-06-08T000000.sch"/>
   <!-- plCdaDrugDispenseSupplySubstitutionEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.sch"/>
   <!-- plCdaMagistralFormuaRealizationAcceptance -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.81-2018-09-30T000000.sch"/>
   <!-- plCdaMagistralFormuaCompletion -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.82-2018-04-22T000000.sch"/>
   <!-- plCdaBaseBodyPerformer -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.83-2018-06-30T000000.sch"/>
   <!-- plCdaPrescriptionEntryReferenceSupplyEntry -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.sch"/>
   <!-- plCdaDrugDispensationNegation -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.sch"/>
   <!-- plExtMagistralFormulaInactiveIngredient -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.sch"/>
   <!-- plExtMagistralFormulaContainer -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.sch"/>
   <!-- plCdaBasePersonName -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.sch"/>
   <!-- plCdaClinicalStatementText -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.3-2018-06-30T000000.sch"/>
   <!-- plCdaPolishOrganizationalAddr -->
   <include href="include/2.16.840.1.113883.3.4424.13.10.7.4-2020-06-08T000000.sch"/>

</schema>
