<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.67
Name: [4] Rozliczenie wydania leku
Description: Szablon CDA dla rozliczenia wydania leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000">
   <title>[4] Rozliczenie wydania leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]
Item: (plCdaDrugBillingEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']"
         id="tmp-r-d49a04c5-276f-4686-a6b9-9189c1df7d69">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('ACT')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod ACT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'] | self::hl7:code[@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksacja leku'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB'][@typeCode='COMP'])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'])&lt;=1">(plCdaDrugBillingEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDrugBillingEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'])&gt;=1 and not(hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL'])&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.67']"
         id="tmp-r-494c857a-defc-4abd-a07b-166e9de5f762">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.67'">(plCdaDrugBillingEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.67'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:code[(@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-baf24315-9290-4903-b150-01bd1202c024">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='TAKSL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksacja leku')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'TAKSL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Taksacja leku'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:statusCode[@code='completed']"
         id="tmp-r-2c8fe7d5-3989-4ac3-ba82-bc5ca67a8b0b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']"
         id="tmp-r-571dc797-b545-4c87-b08f-89e26d53e628">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-23eb5d74-e622-46b6-bc90-bd69d62a051f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='RRREC']/hl7:value/@code='W' and xs:decimal(hl7:value/@value)!=0">(plCdaDrugBillingEntry): Dla wycofującej realizacji recepty wartość wydanego leku powinna wynosić 0.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Wartość wydanego leku'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-9851e41c-992d-476c-a68d-7075bad539db">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Wartość wydanego leku')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'WWL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Wartość wydanego leku'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-c110bea9-8c06-417b-9fec-2b38bcd219f1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='WWL']/hl7:observation[hl7:code[(@code='WWL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-798d29b5-c391-4a8b-8ab5-9f636d66ded0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']"
         id="tmp-r-284e01c4-2800-4174-a54a-746b43d98d3c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-95498d5c-6061-4ae7-b850-7fe578f873ab">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Limit urzędowy'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-65019299-0806-495c-92cd-7ede639efd72">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Limit urzędowy')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'LIMU' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Limit urzędowy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-0a154bc8-3ea6-4dd4-a391-a4f147b75af8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='LIMU']/hl7:observation[hl7:code[(@code='LIMU' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-feecfb7b-a138-402f-97bc-ce5b9f2d2143">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']"
         id="tmp-r-55fdb8b2-52a7-4ddb-aa39-8579975c7592">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-e58ae1bd-5fb3-447f-8b32-c668f567bb1d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Poziomy odpłatności leków refundowanych'] | self::hl7:statusCode[@code='completed'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.11.1.1'])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaDrugBillingEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-7611cbf9-9542-4fdd-ad4f-ebe17f937514">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Poziomy odpłatności leków refundowanych')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'RLPO' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Poziomy odpłatności leków refundowanych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-671da4c9-ebf1-4b49-af8a-f9b33ff53a23">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='RLPO']/hl7:observation[hl7:code[(@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-b5587be1-71f2-4faf-9d04-15b40231b19f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić PoziomOdplatnosciZaLeki Poziom odpłatności za leki (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.16-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugBillingEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PoziomOdplatnosciZaLeki Poziom odpłatności za leki (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']"
         id="tmp-r-f3f2feed-423c-4fa6-bee2-eb22e9971db3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-6b792856-a6f5-4c70-9794-8b2b662260a7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('INT')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod INT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Kwota refundacji'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-ccd29ec9-e268-488e-9456-b20b9add1493">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Kwota refundacji')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'KREF' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Kwota refundacji'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-3ebce011-3ec5-426a-a3bc-ec4958dcb4d4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='KREF']/hl7:observation[hl7:code[(@code='KREF' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-d0c41e86-9b39-4ac2-b557-9d4146ea4262">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']"
         id="tmp-r-9bbbedae-13bc-48fb-a241-9d001005bb2c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-d232ec2b-eba7-4af1-8d7d-7439d242ecc9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='RRREC']/hl7:value/@code='W' and xs:decimal(hl7:value/@value)!=0">(plCdaDrugBillingEntry): Dla wycofującej realizacji recepty kwota zapłacona powinna wynosić 0.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Zapłacono'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-f8d4789e-5488-4025-aead-b57e99995003">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Zapłacono')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'ZAPL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Zapłacono'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-92680fed-dadc-4da6-90ef-32ccbe5fe575">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='ZAPL']/hl7:observation[hl7:code[(@code='ZAPL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-45282888-e2c2-4d59-989b-c4af9530022a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']"
         id="tmp-r-6642da78-92a9-43c3-8e10-c2675af21738">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-166e3ea6-0e87-4cfc-b61b-5734c662dfe1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksa laborum'] | self::hl7:statusCode[@code='completed'] | self::hl7:value)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-c65a0787-49d1-4bc3-ac0f-5041af143c8c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Taksa laborum')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'TAKL' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Taksa laborum'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-040309bd-be39-4e30-bff4-dab75a3b329d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='TAKL']/hl7:observation[hl7:code[(@code='TAKL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-fde4e802-105e-49f3-a269-8d59a6607fe4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']"
         id="tmp-r-a490468e-f906-4073-99de-14943383baed">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-4807117a-e33f-4a9f-8367-14e0d8648cc8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Cena detaliczna brutto'] | self::hl7:statusCode[@code='completed'] | self::hl7:value | self::hl7:entryRelationship[@typeCode='REFR'])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship)&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-0e9acec2-b628-417e-aa15-28e514d5f437">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Cena detaliczna brutto')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'CDB' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Cena detaliczna brutto'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-885ff01e-3002-4faf-a4a3-93bc809b35e2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-fb84e2be-a4cc-41bf-bf55-6ce8d2387e04">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship"
         id="tmp-r-ee4f061e-e7f5-4761-8b65-dda72ddea5f4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='REFR'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:supply[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:supply jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:supply)&lt;=1">(plCdaDrugBillingEntry): element hl7:supply występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply"
         id="tmp-r-ebe3adb5-b1f3-4c2d-9c01-c0bc662f7762">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('SPLY')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:product)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:product jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaDrugBillingEntry): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product"
         id="tmp-r-20bc63f5-3e72-4dfc-80c6-85d5c2b343c1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaDrugBillingEntry): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-442e3b1d-a68f-4824-ba02-84ce6037b187">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaDrugBillingEntry): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-99910542-fb30-4de4-9b6d-4734a6f24a01">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDrugBillingEntry): element hl7:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CDB']/hl7:observation[hl7:code[(@code='CDB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-r-dc8d5d5a-0619-427b-bef4-9de4a939a5ac">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']"
         id="tmp-r-7b5bf520-d56e-4e32-b944-52a8fc9ef49b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&gt;=1 and not(hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]])&lt;=1">(plCdaDrugBillingEntry): element hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]"
         id="tmp-r-f5d2e64e-fa34-4435-883e-4010b7ac65a0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('OBS')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('DEF')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod DEF'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code[@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Cena hurtowa brutto'] | self::hl7:statusCode[@code='completed'] | self::hl7:value | self::hl7:entryRelationship[@typeCode='REFR'])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugBillingEntry): element hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugBillingEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaDrugBillingEntry): element hl7:value występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:entryRelationship jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:entryRelationship)&lt;=1">(plCdaDrugBillingEntry): element hl7:entryRelationship występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-5548c520-88cf-45c3-80db-2cae74247878">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Cena hurtowa brutto')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'CHB' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Cena hurtowa brutto'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-25eb44ae-9639-44cc-a95a-d8dd459237d6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugBillingEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:value"
         id="tmp-r-79f4b848-0fad-4188-b645-af5c2ad6cdc0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='REAL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:REAL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="REAL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship"
         id="tmp-r-b817c3c5-ecf3-439a-8c05-917908de69cd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="string(@typeCode)='REFR'">(plCdaDrugBillingEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:supply[@classCode and @moodCode])])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:supply jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:supply)&lt;=1">(plCdaDrugBillingEntry): element hl7:supply występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply"
         id="tmp-r-fcd66524-b1a5-48ba-afd2-4726308ea4ce">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@classCode">(plCdaDrugBillingEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('SPLY')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla classCode MUSI wynosić 'kod SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="@moodCode">(plCdaDrugBillingEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugBillingEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugBillingEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:product)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:product jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaDrugBillingEntry): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product"
         id="tmp-r-c568d0e9-4e2c-408b-b704-92d87f2681c1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaDrugBillingEntry): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-c3506a38-8bff-48d1-87c8-83f0a8be644f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaDrugBillingEntry): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-8a8f85ea-133e-4e16-bcb7-13884e8ed5d1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:code)])">(plCdaDrugBillingEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozliczenie wydania leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaDrugBillingEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDrugBillingEntry): element hl7:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.67
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (plCdaDrugBillingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship[hl7:observation/hl7:code/@code='CHB']/hl7:observation[hl7:code[(@code='CHB' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]]/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-r-2c4004b3-ea51-4228-91e4-9cbf5c67b427">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.67-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugBillingEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
